Processing basis in Core

Introduction

To process any individual (person) in Core, that person must have given the appropriate legal basis for processing, as required by the GDPR. In Core, this is known as a processing basis. An earlier version of this in Core is called consents.

Do note that individuals include various stakeholders related to a case, such as buyers and sellers.

Retrieving all processing bases for a given person

To retrieve all current processing bases for a given person in Core, use the following endpoint:

GET /flow/api/v2/ProcessingBases/Relations/Contacts/{personId}

For this endpoint you need the following permission:

Contacts - Read
ProcessingBasis - Read

If the person has any processing basis you should get a response similar to:

[
    {
        "Id": 321321,
        "Guid": "07a1055d-2b9b-4c98-91b2-2b184f9f9f85",
        "ProcessingBasisModel": {
            "Id": 278,
            "IsNewestVersion": false,
            "Guid": "04e66641-5b70-4a5a-83fc-29e08fd919fe",
            "Description": "Automatisk generert behandlingsgrunnlag for systemregel 'Interessent på eiendom'.",
            "Version": 1.00,
            "CategoryType": "SpecificCase",
            "Type": "Contracts",
            "SystemType": "IsStakeholder",
            "IsActive": true,
            "CanBeContacted": false,
            "RequireDeletePermission": false
        },
        "DeleteOnStatusReached": false,
        "ContactId": 123456,
        "IsChecked": true,
        "CheckedDate": "2024-07-12T13:45:06.5433403+02:00",
        "CheckedById": 123456,
        "CaseId": 666777,
        "SourceType": "System"
    },
    ...
]

For a list of all the different types you can retrieve (e.g. SourceType, SystemType, etc…), please refer to our Scalar documentation.

This endpoint offers more advanced search functionality for contact Processing Bases, more tailored towards what Processing Bases are on what contacts.

POST /flow/api/ProcessingBases/Relations/Contacts/Extended

For this endpoint you need the following permission:

Contacts - Read
ProcessingBasis - Read

Request body. Only startDate, endDate, offset and limit are mandatory. Start and endDate are when the Processing Bases were added to the contacts. Offset is for pagination. Limit is how many records you want in the result set. 1000 is the max value.

{
    "startDate": "2024-01-01T00:00:00+00:00",
    "endDate": "2026-12-31T23:59:59+00:00",
    "offset": 0,
    "limit": 1000,
    "guid": "49fcbea6-ba5c-4213-9813-4ca0a750bd23",
    "id": "12345",
    "groupguid": "e149252f-d174-43a5-9e20-c86793ed7468",
    "type": "Contracts",
    "category": "Standalone"
}

Retrieving the newest version of all processing bases

Every time a processing basis itself is updated, it will have its version number incremented.

To retrieve the latest versions of all processing bases, use the following endpoint:

GET /flow/api/ProcessingBases/Newest

For this endpoint you need the following permission:

ProcessingBasis - Read

You should receive a response similar to:

[
    {
        "Id": 208,
        "IsNewestVersion": true,
        "LastModified": "2020-03-10T11:09:16.2573815+01:00",
        "LastModifiedById": 12345,
        "Guid": "dc00a06b-fa70-4389-bbeb-07fcf0cc36b8",
        "Description": "Jeg samtykker til å motta relevant informasjon vedrørende denne eiendommen.",
        "Version": 1.20,
        "CategoryType": "SpecificCase",
        "Type": "Consents",
        "SystemType": "Manual",
        "DisplayTypes": [
            "Prospectus",
            "Manual",
            "Bidding"
        ],
        "IsActive": true,
        "CanBeContacted": true,
        "RequireDeletePermission": false,
        "HideOnStatus": "Archived",
        "DeleteOnStatus": "Archived"
    },
    ...
]

Earlier versions of a processing basis

If you need to retrieve earlier versions of a processing basis, use the following endpoint:

GET /flow/api/ProcessingBases/{processingBasisId}/VersionHistory

For this endpoint you need the following permission:

ProcessingBasis - Read

You should receive a response with the version history of a processing basis, including the latest version:

[
    {
        "Id": 199,
        "IsNewestVersion": false,
        "LastModified": "2020-01-27T14:47:49.1603574+01:00",
        "Guid": "7c21082b-db6d-4e07-9d2f-db8597a9bc45",
        "Description": "Jeg samtykker til å motta relevant informasjon vedrørende denne eiendommen.",
        "Version": 1.00,
        "CategoryType": "SpecificCase",
        "Type": "Consents",
        "SystemType": "Manual",
        "DisplayTypes": [
            "Showing",
            "Prospectus",
            "Manual"
        ],
        "IsActive": true,
        "CanBeContacted": true,
        "RequireDeletePermission": false,
        "HideOnStatus": "Archived",
        "DeleteOnStatus": "Archived"
    },
    {
        "Id": 206,
        "IsNewestVersion": false,
        "LastModified": "2020-03-05T07:26:21.6000637+01:00",
        "LastModifiedById": 84952,
        "Guid": "618d5985-5957-45d5-9d72-dc1997615c7a",
        "Description": "Jeg samtykker til å motta relevant informasjon vedrørende denne eiendommen.",
        "Version": 1.10,
        "CategoryType": "SpecificCase",
        "Type": "Consents",
        "SystemType": "Manual",
        "DisplayTypes": [
            "Showing",
            "Prospectus",
            "Manual",
            "Bidding"
        ],
        "IsActive": true,
        "CanBeContacted": true,
        "RequireDeletePermission": false,
        "HideOnStatus": "Archived",
        "DeleteOnStatus": "Archived"
    },
    {
        "Id": 208,
        "IsNewestVersion": true,
        "LastModified": "2020-03-10T11:09:16.2573815+01:00",
        "LastModifiedById": 90487,
        "Guid": "dc00a06b-fa70-4389-bbeb-07fcf0cc36b8",
        "Description": "Jeg samtykker til å motta relevant informasjon vedrørende denne eiendommen.",
        "Version": 1.20,
        "CategoryType": "SpecificCase",
        "Type": "Consents",
        "SystemType": "Manual",
        "DisplayTypes": [
            "Prospectus",
            "Manual",
            "Bidding"
        ],
        "IsActive": true,
        "CanBeContacted": true,
        "RequireDeletePermission": false,
        "HideOnStatus": "Archived",
        "DeleteOnStatus": "Archived"
    }
]
AI Assistant (Beta)